> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new Allocation

> ## Create a new Allocation ##

<p>
Creates a new Allocation for the given Product.
</p>

#### Response ####
**Top Level Result Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>allocationId</td><td>n</td><td>Integer</td><td>ID of the newly created Allocation.</td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json post /{supplierapi}/product/{productId}/allocation
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/product/{productId}/allocation:
    post:
      tags:
        - Version 1
        - Booking Details
      summary: Create a new Allocation
      description: |-
        ## Create a new Allocation ##

        <p>
        Creates a new Allocation for the given Product.
        </p>

        #### Response ####
        **Top Level Result Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>allocationId</td><td>n</td><td>Integer</td><td>ID of the newly created Allocation.</td>
                 </tr>
             </tbody>
         </table>
      operationId: addAvailabilityAllocationAction
      parameters:
        - name: productId
          in: path
          description: The ID of the Product
          required: true
          schema:
            type: integer
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      requestBody:
        description: Allocation details to create
        required: true
        content:
          application/json:
            schema:
              required:
                - allocationName
                - defaultQuantity
                - productPricesDetailsIds
              properties:
                allocationName:
                  description: Name of the Allocation.
                  type: string
                defaultQuantity:
                  description: Default quantity for this Allocation.
                  type: integer
                startDate:
                  description: Start date of this Allocation.
                  type: string
                endDate:
                  description: End date of this Allocation.
                  type: string
                blockoutDays:
                  description: Days of the week when the product is not available.
                  type: string
                bookingDetailId:
                  description: ID for the BookingDetail Object for this allocation.
                  type: integer
                bookingBuffer:
                  description: Number of days before booking date to disable reservations.
                  type: integer
                productPricesDetailsIds:
                  description: >-
                    IDs for the ProductPricesDetails that this Allocation should
                    apply to.
                  type: string
              type: object
      responses:
        '201':
          description: Returned when successful.
        '400':
          description: Returned when there is an issue with the data provided.
        '403':
          description: Returned when the user is not authorized.
        '404':
          description: Returned when Product is not found.
        '500':
          description: Returned when fatal issues are encountered.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.